Register | Login
Search    
| The DNN-Modules Advantage Minimize

We support over 500,000 lines of code devoted to the DNN platform, ranging from Email Management Software, E-Commerce solutions, and system management software.

Our modules are consistent and also run across every major version of DotNetNuke from Version 2 forward.

We use repetitive and automated builds, and update our modules regularly with corrective fixes and new releases.

Our modules are not “built for just today” they are built to continually operate in your environment.

Where other modules may be DotNetNuke certified, this by no means guarantees their availability and operational characteristics with new versions of DNN, nor does it guarantee that they will over time, still support your version of DNN or even work at all.

Here's a fairly typical case of what can happen without this support, and without the advantage that DNN-Module's technology offers you:

  1. You purchase several modules that work with your DNN version.
  2. You decide that one of the modules you like the new functionality on their upgrade.  You have to also upgrade your DNN version as well.  However, upgrading your DNN to the latest version, breaks your other modules.  This causes you time, expense and possibly the ability to upgrade any of your modules - or simply throw them out.

The above might sound unrealistic to you - but in the world of e-commerce and e-mail management, changing the applications to meet with new standards is an ongoing process.  Our modules dont' force you to upgrade to the latest and newest version of DNN - so we protect your investment long after you purchase our software.

Another instance, which we've actually seen was one developer claiming support for all versions of DNN.  However, they had one version of their module for each version of DNN.  You wanted “new“ features - you have to upgrade DNN.  Something they failed to tell you prior to purchase.

Our modules operate on any major version of DNN version from version 2 to 6.  Be assured that your modules will run now, and in the future.  That guarantee no one else can give you!